Bug 129519 - patch for www/free-sa, removing environment corrupt error
patch for www/free-sa, removing environment corrupt error
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 12:00 UTC by andrewclarkii
Modified: 2008-12-25 20:14 UTC (History)
0 users

See Also:


Attachments
file.diff (298 bytes, patch)
2008-12-09 12:00 UTC, andrewclarkii
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description andrewclarkii 2008-12-09 12:00:07 UTC
As i write before (http://www.freebsd.org/cgi/query-pr.cgi?pr=129221), 
when i try to use the program, i got a error:
sh: environment corrupt; missing value for Иё(Ь╖▒(ЬЕ©©Ф╒(
SAERROR: [SAsystem] /bin/sh got signal

Fix: to fix problem you need to fix w_config.c file in
directory with port source code.

--- w_config.c  2008-11-24 20:15:35.000000000 +0000
+++ w_config.c.new      2008-12-09 11:36:54.000000000 +0000
@@ -763,7 +763,7 @@


 void InitLocale(void) {
-    char locstring[FILENAMESIZE];
+    static char locstring[FILENAMESIZE];
     const char *t = NULL;
     char *curlocale;
     short int i;

Patch attached with submission follows:
How-To-Repeat: free-sa -d `date +%x`-`date +%x`
Comment 1 Martin Wilke freebsd_committer 2008-12-09 12:57:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Edwin Groothuis freebsd_committer 2008-12-09 19:45:20 UTC
Maintainer of www/free-sa,

Please note that PR ports/129519 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/129519

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2008-12-09 19:51:08 UTC
Maintainer of www/free-sa,

Please note that PR ports/129519 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/129519

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Edwin Groothuis freebsd_committer 2008-12-09 19:51:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 5 Martin Wilke freebsd_committer 2008-12-25 20:14:35 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!